#include<iostream>
using namespace std;
int main()
{
    int n;
    cin>>n;
    string s;
    char c;
    for(int i=0; i<n; i++){
        cin>>c;
        s+=c;
    }
    int a[n];
    unsigned long long rez=1;
    for(int i=0; i<n; i++){
        a[i]=1;
    }
    for(int i=1; i<n; i++){
        if(s[i]==s[i-1]){
            a[i]=a[i-1]+1;
            a[i-1]=1;
        }
    }
    for(int i=0; i<n; i++){
        rez*=a[i];
        rez%=(int)(1e9+7);
    }
    cout<<rez<<"\n";
    return 0;
}